[CRIU] [PATCH] zdtm: add ability to execute tests on aufs
Andrew Vagin
avagin at openvz.org
Sat Aug 30 03:49:22 PDT 2014
And here are a few issues:
+ cat /tmp/criu-root.7GvnTZ/dump/static/cwd01/6970/1/dump.log
(00.012328) Error (cr-dump.c:303): Can't open 6974/cwd on procfs: Stale file handle
(00.012350) Error (cr-dump.c:1671): Dump fs (pid: 6974) failed with -1
(00.012528) Error (cr-dump.c:1953): Dumping FAILED.
+ cat /tmp/criu-root.HTTKBE/dump/static/unlink_fstat03/14801/1/dump.log
(00.009870) Error (files-reg.c:455): Can't link remap to /zdtm/live/static/unlink_fstat03.test (deleted): No such file or directory
(00.009906) Error (cr-dump.c:1603): Dump files (pid: 14805) failed with -1
(00.010533) Error (cr-dump.c:1953): Dumping FAILED.
+ cat /tmp/criu-root.HDf6Nn/dump/static/unlink_mmap00/23065/1/dump.log
(00.008996) Error (proc_parse.c:472): Failed stat on 23069's map 47071697305600 (/tmp/criu-root.HDf6Nn/zdtm/live/static/unlink_mmap00.test (deleted)): No such file or directory
(00.009021) Error (cr-dump.c:1515): Collect mappings (pid: 23069) failed with -1
(00.009228) Error (cr-dump.c:1953): Dumping FAILED.
+ cat /tmp/criu-root.XULszc/dump/static/inotify00/30616/1/dump.log
(00.010422) Error (proc_parse.c:1345): parse_fdinfo_pid_s: error parsing [inotify wd:2 ino:1202 sdev:24 mask:800afff ignored_mask:0
(00.010465) Error (cr-dump.c:1603): Dump files (pid: 30620) failed with -1
(00.011124) Error (cr-dump.c:1953): Dumping FAILED.
We have problems with unlinked files and fsnotifies.
Cc: Saied Kazemi <saied at google.com>
Signed-off-by: Andrew Vagin <avagin at openvz.org>
---
test/zdtm.sh | 11 ++++++++++-
1 file changed, 10 insertions(+), 1 deletion(-)
diff --git a/test/zdtm.sh b/test/zdtm.sh
index eee3342..f92a63f 100755
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -412,7 +412,12 @@ start_test()
mkdir -p dump
ZDTM_ROOT=`mktemp -d /tmp/criu-root.XXXXXX`
ZDTM_ROOT=`readlink -f $ZDTM_ROOT`
- mount --make-private --bind . $ZDTM_ROOT || return 1
+ if [ -z "$ZDTM_AUFS" ]; then
+ mount --make-private --bind . $ZDTM_ROOT || return 1
+ else
+ mount -t aufs -o br=. none $ZDTM_ROOT || return 1
+ cd $ZDTM_ROOT
+ fi
fi
construct_root $ZDTM_ROOT $test || return 1
export ZDTM_NEWNS=1
@@ -901,6 +906,10 @@ while :; do
}
shift
;;
+ --aufs)
+ export ZDTM_AUFS=1
+ shift
+ ;;
-*)
echo "Unrecognized option $1, aborting!" 1>&2
usage
--
1.9.3
More information about the CRIU
mailing list